Page MenuHomePhabricator

decommission db1070.eqiad.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission of server db1070.eqiad.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

db1070

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place. https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/543028/
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of server: codfw = @Papaul, eqiad = @Cmjohnson, all other sites = @RobH.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - Label disk #7 as broken so it doesn't get re-used
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned. If uncertain, ask @wiki_willy.
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2019, 5:24 AM
Marostegui moved this task from Triage to In progress on the DBA board.
Marostegui triaged this task as Normal priority.Oct 15 2019, 6:34 AM

Change 543028 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1070: Disable notifications

https://gerrit.wikimedia.org/r/543028

Marostegui updated the task description. (Show Details)Oct 15 2019, 6:37 AM

Change 543028 merged by Marostegui:
[operations/puppet@production] db1070: Disable notifications

https://gerrit.wikimedia.org/r/543028

Marostegui updated the task description. (Show Details)Oct 15 2019, 6:37 AM
Marostegui removed a subscriber: wiki_willy.

Mentioned in SAL (#wikimedia-operations) [2019-10-15T06:40:06Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1070 T235464', diff saved to https://phabricator.wikimedia.org/P9343 and previous config saved to /var/cache/conftool/dbconfig/20191015-064005-marostegui.json

Change 545158 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Set db1070 to spare

https://gerrit.wikimedia.org/r/545158

Change 545159 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1070 from config

https://gerrit.wikimedia.org/r/545159

Change 545159 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1070 from config

https://gerrit.wikimedia.org/r/545159

Mentioned in SAL (#wikimedia-operations) [2019-10-22T05:39:02Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db1070 from config T235464 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2019-10-22T05:40:01Z] <marostegui> Remove db1070 from tendril and zarcillo - T235464

Mentioned in SAL (#wikimedia-operations) [2019-10-22T05:40:09Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db1070 from config T235464 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2019-10-22T05:41:55Z] <marostegui> Stop mysql on db1070 - T235464

Marostegui updated the task description. (Show Details)
Marostegui edited subscribers, added: wiki_willy; removed: RobH.

Change 545158 merged by Marostegui:
[operations/puppet@production] mariadb: Set db1070 to spare

https://gerrit.wikimedia.org/r/545158

Mentioned in SAL (#wikimedia-operations) [2019-10-22T05:48:00Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove db1070 from config T235464', diff saved to https://phabricator.wikimedia.org/P9422 and previous config saved to /var/cache/conftool/dbconfig/20191022-054759-marostegui.json

Change 545698 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove puppet references for db1070

https://gerrit.wikimedia.org/r/545698

Change 545699 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production DNS entries for db1070

https://gerrit.wikimedia.org/r/545699

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db1070.eqiad.wmnet

  • db1070.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 545698 merged by Marostegui:
[operations/puppet@production] site.pp: Remove puppet references for db1070

https://gerrit.wikimedia.org/r/545698

Change 545699 merged by Marostegui:
[operations/dns@master] wmnet: Remove production DNS entries for db1070

https://gerrit.wikimedia.org/r/545699

Marostegui edited projects, added ops-eqiad, decommission; removed Patch-For-Review, DBA.
Marostegui updated the task description. (Show Details)
Marostegui added a project: DC-Ops.
Marostegui moved this task from Backlog to pending onsite steps (eqiad) on the decommission board.
Marostegui added a subscriber: RobH.

Host ready for DC-Ops to finish its decommissioning.

Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Thu, Oct 24, 12:11 PM
Papaul added a comment.Tue, Nov 5, 9:42 PM
papaul@asw2-d-eqiad# show | compare 
[edit interfaces interface-range vlan-private1-d-eqiad]
-    member ge-1/0/17;
[edit interfaces interface-range disabled]
     member ge-4/0/47 { ... }
+    member ge-1/0/17;
[edit interfaces]
-   ge-1/0/15 {
-       description db1068;
-   }
-   ge-1/0/17 {
-       description db1070;
-   }
Papaul updated the task description. (Show Details)Tue, Nov 5, 9:44 PM

Change 548907 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db1063,db1064,db1065,db1068,db1070 and db1071

https://gerrit.wikimedia.org/r/548907

Change 548907 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db1063,db1064,db1065,db1068,db1070 and db1071

https://gerrit.wikimedia.org/r/548907

Papaul closed this task as Resolved.Tue, Nov 5, 10:06 PM
Papaul updated the task description. (Show Details)

Complete